Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004814TestLinkBug Tracking Systems Integrationpublic2011-11-21 10:442012-09-01 19:59
Reporterfrl 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformTeslinkOSWindows & Linux-DebianOS Version1.9.1
Product Version1.9.3 (2011 Q3 - bug fixing) 
Fixed in Version1.9.4 (2012 Q3 - bug fixing) 
Summary0004814: bug deletion may fails if bugID string contains special characters ('#', '&' , ...)
DescriptionI tried to reference bugs in test execution whose bugID syntax is 'project#bugNb'.

I cannot delete bug reference anymore, through execution screen because '#' causes failure in bugId value parsing :
tracing bugID value in lib/execute/bugDelete.php, I got 'project' but not 'project#bugNb'
Steps To Reproducefor a Testlink configuration with BTS interface on
- execute a TCase and reference a new bug 'prj#001' through Add Bug function
- now try to delete this bug (from the table which lists all bugs related to this exec)
- the dialog window 'Delete bug report' display message 'The bug was successfully deleted' (close this window)
- Refresh TC execution screen
=> bug 'prj#001' is always referenced in the bug list
Additional InformationTrying to analyse cause of this problem, I found that bugID string should be escaped in function deleteBug() of testlink_library.js before call to lib/execute/bugDelete.php.
The proposed patch, add just this escape() call in deleteBug() function [lines 673-674]

TagsNo tags attached.
Database (MySQL,Postgres,etc)mySQL
BrowserIE
PHP Version5.3.3
TestCaseID
QA Team - Task Workflow Status
Attached Files? file icon testlink_library.js [^] (35,966 bytes) 2011-11-21 10:44

- Relationships

-  Notes
(0016050)
fman (administrator)
2011-11-22 14:56
edited on: 2011-11-23 21:09

thanks for contribution

Fix 1.9.3
http://gitorious.org/testlink-ga/testlink-code/commit/1c0a81152988745a2697c6b9fc9dc3e87aea2f51 [^]

Fix 2.0
http://gitorious.org/testlink-ga/testlink-code/commit/b24f91d6d822bcc7711584ec0caedfcd5558a8a0 [^]

(0017361)
fman (administrator)
2012-09-01 19:59

1.9.4 released

- Issue History
Date Modified Username Field Change
2011-11-21 10:44 frl New Issue
2011-11-21 10:44 frl File Added: testlink_library.js
2011-11-22 14:56 fman Assigned To => fman
2011-11-22 14:56 fman Status new => assigned
2011-11-22 14:56 fman Note Added: 0016050
2011-11-23 21:01 fman Note Edited: 0016050 View Revisions
2011-11-23 21:09 fman Note Edited: 0016050 View Revisions
2011-11-23 21:09 fman Status assigned => resolved
2011-11-23 21:09 fman Fixed in Version => 1.9.4 (2012 Q3 - bug fixing)
2011-11-23 21:09 fman Resolution open => fixed
2012-09-01 19:59 fman Note Added: 0017361
2012-09-01 19:59 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker